This commit is contained in:
Joao Moreno 2022-03-18 13:54:01 +01:00
parent b87e743eb3
commit 29ef778b1c
No known key found for this signature in database
GPG key ID: 896B853774D1A575
10 changed files with 14 additions and 14 deletions

View file

@ -38,7 +38,7 @@ steps:
- script: |
set -e
for i in {1..3}; do # try 3 times, for Terrapin
yarn --cwd build --frozen-lockfile && break
yarn --cwd build --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1

View file

@ -81,7 +81,7 @@ steps:
export npm_config_node_gyp=$(which node-gyp)
for i in {1..3}; do # try 3 times, for Terrapin
yarn --frozen-lockfile && break
yarn --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1

View file

@ -76,7 +76,7 @@ steps:
- script: |
set -e
for i in {1..3}; do # try 3 times, for Terrapin
yarn --frozen-lockfile && break
yarn --frozen-lockfile --check-files --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1

View file

@ -84,7 +84,7 @@ steps:
- script: |
set -e
for i in {1..3}; do # try 3 times, for Terrapin
yarn --cwd build --frozen-lockfile && break
yarn --cwd build --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1
@ -121,7 +121,7 @@ steps:
fi
for i in {1..3}; do # try 3 times, for Terrapin
yarn --frozen-lockfile && break
yarn --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1

View file

@ -40,7 +40,7 @@ steps:
export npm_config_arch=$(NPM_ARCH)
for i in {1..3}; do # try 3 times, for Terrapin
yarn --cwd remote --frozen-lockfile && break
yarn --cwd remote --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1

View file

@ -64,7 +64,7 @@ steps:
- script: |
set -e
for i in {1..3}; do # try 3 times, for Terrapin
yarn --frozen-lockfile && break
yarn --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1

View file

@ -84,7 +84,7 @@ stages:
inputs:
sourceCodeDirectory: "$(Build.SourcesDirectory)"
language: "cpp"
buildCommandsString: "yarn --frozen-lockfile"
buildCommandsString: "yarn --frozen-lockfile --check-files"
querySuite: "Required"
timeout: "1800"
ram: "16384"
@ -99,7 +99,7 @@ stages:
. build/azure-pipelines/win32/exec.ps1
. build/azure-pipelines/win32/retry.ps1
$ErrorActionPreference = "Stop"
retry { exec { yarn --frozen-lockfile } }
retry { exec { yarn --frozen-lockfile --check-files } }
env:
npm_config_arch: "$(NPM_ARCH)"
PLAYWRIGHT_SKIP_BROWSER_DOWNLOAD: 1
@ -176,7 +176,7 @@ stages:
- script: |
set -e
for i in {1..3}; do # try 3 times, for Terrapin
yarn --cwd build --frozen-lockfile && break
yarn --cwd build --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1
@ -209,7 +209,7 @@ stages:
fi
for i in {1..3}; do # try 3 times, for Terrapin
yarn --frozen-lockfile && break
yarn --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1

View file

@ -67,7 +67,7 @@ steps:
- script: |
set -e
for i in {1..3}; do # try 3 times, for Terrapin
yarn --frozen-lockfile && break
yarn --frozen-lockfile --check-files && break
if [ $i -eq 3 ]; then
echo "Yarn failed too many times" >&2
exit 1

View file

@ -77,7 +77,7 @@ steps:
$ErrorActionPreference = "Stop"
$env:npm_config_arch="$(VSCODE_ARCH)"
$env:CHILD_CONCURRENCY="1"
retry { exec { yarn --frozen-lockfile } }
retry { exec { yarn --frozen-lockfile --check-files } }
env:
ELECTRON_SKIP_BINARY_DOWNLOAD: 1
PLAYWRIGHT_SKIP_BROWSER_DOWNLOAD: 1

View file

@ -20,7 +20,7 @@ function yarnInstall(location, opts) {
const raw = process.env['npm_config_argv'] || '{}';
const argv = JSON.parse(raw);
const original = argv.original || [];
const args = original.filter(arg => arg === '--ignore-optional' || arg === '--frozen-lockfile');
const args = original.filter(arg => arg === '--ignore-optional' || arg === '--frozen-lockfile' || arg === '--check-files');
if (opts.ignoreEngines) {
args.push('--ignore-engines');
delete opts.ignoreEngines;